summaryrefslogtreecommitdiff
path: root/bin/ii-watch
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ii-watch')
-rwxr-xr-xbin/ii-watch27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/ii-watch b/bin/ii-watch
new file mode 100755
index 0000000..0987656
--- /dev/null
+++ b/bin/ii-watch
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# shellcheck disable=SC2119,SC2120
+
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
+
+checksum=$(
+ calculate_script_checksum
+)
+
+while pgrep -x 'ii' >/dev/null && \
+ [ "$(calculate_script_checksum)" = "${checksum}" ]; do
+ # this avoids missing modifications during our last execution
+ if [ -z "${said}" ]; then
+ # shellcheck disable=SC2046
+ inotifywait -t 30 -e 'CLOSE_WRITE,CLOSE' -e 'CREATE,ISDIR' $(
+ find "${irc_dir}" \
+ -type f \
+ -name 'out' -o \
+ -type d
+ ) || true
+ fi
+ said=$(
+ "${base_dir}/bin/ii-answer"
+ )
+done